import { graphql } from "@/gql";
//import { NewsFragment } from "@/gql/graphql";
import { getClient } from "@/app/client";
import Link from "next/link";
import { PageHeader } from "@/components/general/PageHeader";
import { IconListBlock } from "@/components/blocks/IconListBlock";

export default async function Page() {
  return (
    <main className="site-main" id="main">
      <PageHeader
        heading="Bli medlem"
        lead="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut molestie tortor a interdum blandit. Sed ac purus sit amet libero posuere molestie."
      />
      <p>
        <a
          href="https://galtinn.neuf.no/register"
          target="_blank"
          className="button"
        >
          Bli medlem &rarr;
        </a>
      </p>
      <p>
        <a href="https://galtinn.neuf.no/" target="_blank" className="button">
          Mitt medlemskap &rarr;
        </a>
      </p>
      <p>(+ Inngang til foreningene et sted under her)</p>
      <IconListBlock />
    </main>
  );
}
